/* =======================================
   Global Tokens / Design Variables
   ======================================= */

:root {
  --sbm-navy: #0D3159;
  --sbm-blue: #175499;
  --sbm-orange: #F56E23;
  --sbm-border: #8698ac;
  --sbm-split-direction: to right;
}

html {
  height: 100%;
}

body {
  height: 100%;
}

.wrapper-body {
  min-height: calc(100% - 274px);
  margin-bottom: 0px;
}

@media (max-width: 992px) {
  :root{ 
    --sbm-split-direction: to bottom;
  }
}
/* =======================================
   Global Reusable Components
   ======================================= */

.sbm-background-split {
  background: linear-gradient(var(--sbm-split-direction), var(--sbm-blue, #175499) 50%, white 50%);
}

.sbm-shadow {
  box-shadow: 0 0 0.25rem 1px rgba(0, 0, 0, 0.1) !important;
}

/* =========  Forms ========= */
.sbm-form-control, .sbm-form-dropdown-button, .sbm-form-dropdown-button:hover {
  background-color: #fbfbfb;
  transition: all 0.3s ease;
  border-width: 1px;
  border-color: var(--bs-border-color);
  padding-left: 0.5rem;
  border-radius: 4px;
  font-family: Montserrat;
  font-size: 0.9rem;
}
.sbm-form-control[readonly] {
  background-color: #f0f0f0;
}
.sbm-form-control:not([readonly]):focus,
.sbm-form-control:not([readonly]):active,
.sbm-form-dropdown-button:focus,
.sbm-form-dropdown-button:active,
.sbm-form-dropdown-button.show
{
  border-color: var(--bs-primary-border-subtle);
}

.sbm-form-dropdown-button {
  width: 100%;
  text-align: left;
  position: relative;
  padding-right: 2em
}

.sbm-form-dropdown-button::after {
  position: absolute;
  right: 0.75rem;
  top: 50%;
  margin-left: 0;
  transition: all 0.3s ease;
}

.sbm-form-dropdown-button.show::after {
  transform: rotate(180deg);
}

.sbm-form-dropdown-item,
.sbm-form-dropdown-item:hover,
.sbm-form-dropdown-item:active {
  text-decoration: none !important;
  padding: 0.5rem 1rem !important;
}
.sbm-form-dropdown-item:active {
  background-color: var(--bs-secondary-bg);
  color: var(--bs-dropdown-link-color);
  border: none !important
}


/* ======== Tables ======== */
.table>:not(caption)>*>* {
  padding: .5rem .75rem;
  font-family: Montserrat;
}
.table>:not(caption)>*>th {
  font-weight: 500;
  font-size: 16px;
  color: var(--sbm-navy, #0D3159);
}


/* =======================================
   Bootstrap Overrides
   ======================================= */
.badge {
  float: none;
}

.dropdown-item {
  transform: none;
}

.btn:disabled {
  color: var(--bs-secondary-color);
  pointer-events: none;
  background-color: #f0f0f0;
  border-color: var(--bs-dark-border-subtle);
  border-width: 1px;
  border-style: solid;
  background-color: #f0f0f0;
}

.alert {
  border-radius: 0px;
  margin-bottom: 0px;
}